com.hazelcast.config

## Class InvalidConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.config.InvalidConfigurationException

- All Implemented Interfaces:
    Serializable

      public class InvalidConfigurationException
      extends HazelcastException

  A InvalidConfigurationException is thrown when there is an Invalid Configuration. Invalid Configuration can be a wrong XML Config or logical config errors that are found at real time.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidConfigurationException(String message)` Creates a InvalidConfigurationException with the given message.
    `InvalidConfigurationException(String message, Throwable cause)` Constructs a new runtime exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidConfigurationException

          public InvalidConfigurationException(String message)

      Creates a InvalidConfigurationException with the given message.
      Parameters:
        `message` - the message for the exception

    - #### InvalidConfigurationException

          public InvalidConfigurationException(String message,
                                               Throwable cause)

      Constructs a new runtime exception with the specified detail message and cause.
      Parameters:
        `message` - the message for the runtime exception
        `cause` - the cause of the runtime exception

Copyright © 2019. All rights reserved.